libosmosim 1.13.1.1-afb4 Osmocom SIM library

Functions | Variables
card_fs_tetra.c File Reference

TETRA SIM card specific structures/routines. More...

`#include <errno.h>`
`#include <string.h>`
`#include <osmocom/sim/sim.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/gsm/gsm48.h>`
`#include "sim_int.h"`
`#include "gsm_int.h"`

## Functions
struct osim_card_profile * | osim_cprof_tsim (void *ctx)

## Variables
static const struct osim_card_sw | tsim_sw []
static const struct osim_card_sw * | tsim_card_sws []
static const struct osim_file_desc | sim_ef_in_mf []
static const struct osim_file_desc | sim_ef_in_tetra []

## Detailed Description

TETRA SIM card specific structures/routines.

## Function Documentation

## ◆ osim_cprof_tsim()

struct osim_card_profile * osim_cprof_tsim | ( | void * | ctx | ) |

References add_df_with_ef(), add_filedesc(), alloc_df(), ARRAY_SIZE, osim_card_profile::mf, osim_card_profile::name, osim_int_cprof_add_telecom(), sim_ef_in_mf, sim_ef_in_tetra, osim_card_profile::sws, and tsim_card_sws.

## Variable Documentation

## ◆ sim_ef_in_mf

const struct osim_file_desc sim_ef_in_mf[]
| static

Initial value:
= {
EF_TRANSP_N(0x2FE2, SFI_NONE, "EF.ICCID", 0, 10, 10,
"ICC Identification"),
EF_TRANSP_N(0x2F00, SFI_NONE, "EF.DIR", F_OPTIONAL, 8, 54,
"Application directory"),
EF_TRANSP_N(0x2F05, SFI_NONE, "EF.LP", 0, 2, 32,
"Language preference"),
}
SFI_NONE
#define SFI_NONE
Definition: sim.h:159
EF_TRANSP_N
#define EF_TRANSP_N(fid, sfi, ns, flags, smin, srec, nl)
Convenience macros for defining EF.
Definition: sim.h:219
F_OPTIONAL
#define F_OPTIONAL
Definition: sim.h:157

Referenced by osim_cprof_tsim().

## ◆ sim_ef_in_tetra

const struct osim_file_desc sim_ef_in_tetra[]
| static

Referenced by osim_cprof_tsim().

## ◆ tsim_card_sws

const struct osim_card_sw* tsim_card_sws[]
| static

Initial value:
= {
tsim_sw,
NULL
}
tsim_sw
static const struct osim_card_sw tsim_sw[]
Definition: card_fs_tetra.c:33

Referenced by osim_cprof_tsim().

## ◆ tsim_sw

const struct osim_card_sw tsim_sw[]
| static